%define extra_builds gtk-thinice-theme-1.0.4 notif2-1.0 gtk-hicontrast-0.3

Summary: Theme engines for GTK+.
Name: gtk-engines
Version: 0.12
Release: 7.2.1
Epoch: 1
License: GPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/source/gtk-engines/gtk-engines-%{PACKAGE_VERSION}.tar.gz
Source1: GTKstep.tar.gz
Source2: Notif2-1.0.tar.gz
Source3: http://prdownloads.sourceforge.net/thinice/gtk-thinice-theme-1.0.4.tar.gz
# Fixes pixmap resource leak
Patch1: gtk-engines-0.11-memleak.patch
Patch2: gtk-engines-0.12-static.patch

# Some extra themes from gtk.themes.org
Source4: Basic.tar.gz
Source5: BeOS.tar.gz
Source6: Blue-n-Gray.tar.gz
Source7: BrushedMetalClean.tar.gz
Source8: Cheese.tar.gz
Source9: Forest-Green.tar.gz
Source10: Gradient.tar.gz
Source11: Macos-Blue-8.6.tar.gz
Source12: QNX-Photon.tar.gz
Source13: Quiet.tar.gz
Source14: Smoke.tar.gz
Source15: Adept-Raleigh.tar.gz

# Hi-contrast theme for accessibility
Source15: gtk-hicontrast-0.3.tar.gz

Requires: gtk+ >= 1.2.8-9
BuildPrereq: gtk+-devel >= 1.2.8-9
BuildPrereq: imlib-devel
BuildPrereq: /usr/bin/automake-1.4

Url: http://gtk.themes.org
BuildRoot:/var/tmp/gtk-engines-%{PACKAGE_VERSION}-root
Obsoletes: gtk-hicontrast

%description
The gtk-engines package contains shared objects and configuration
files that implement a number of GTK+ theme engines. Theme engines
provide different looks for GTK+, some of which resemble other
toolkits or operating systems.

%prep
%setup -q -a 2 -a 3 -a 4 -a 5 -a 6 -a 15
%patch1 -p1 -b .memleak
%patch2 -p1 -b .static

%build
rm acinclude.m4
libtoolize --force --copy
aclocal-1.4
automake-1.4
autoconf
CFLAGS="$RPM_OPT_FLAGS" %configure
make
for I in `echo %{extra_builds}`; do
	cd $I
	libtoolize --force --copy
	aclocal-1.4
	automake-1.4
	autoconf
	CFLAGS="$RPM_OPT_FLAGS" %configure --cache-file=../config.cache
	make
	cd ..
done

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
#
# makefile is broken, sets exec_prefix explicitely.
#
%makeinstall

for I in `echo %{extra_builds}`; do
	cd $I
	%makeinstall
	cd ..
done

for I in Basic BeOS Blue-n-Gray BrushedMetalClean Cheese \
Forest-Green Gradient Macos-Blue-8.6 QNX-Photon Quiet Adept-Raleigh; do
	tar -C $RPM_BUILD_ROOT%{_datadir}/themes -xzf $RPM_SOURCE_DIR/$I.tar.gz
done

(cd $RPM_BUILD_ROOT%{_datadir}/themes;
# Here's where I get to give themes dumb names because of possible
# trademarks
mv QNX-Photon LightSpeed
mv macos8.6-blue MockMack
mv BeOS BeCool
)

# remove backup files that shouldn't be here.  Fix me.
find $RPM_BUILD_ROOT%{_datadir}/themes -name \*~ | xargs rm -rvf

# No, we don't need to package these either
find $RPM_BUILD_ROOT%{_datadir}/themes -type d -name ".xvpics" | xargs rm -rvf

# These are also in gtk2-engines, so better remove them from here:
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/Metal/README.html
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/Redmond95/README.html

# sanitize permissions
find $RPM_BUILD_ROOT%{_datadir}/themes -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT%{_datadir}/themes -type f -name "*.png" -exec chmod 644 {} \;
find $RPM_BUILD_ROOT%{_datadir}/themes -name "gtkrc*" -perm +111 -exec chmod 644 {} \;

# no thanks
rm -rf $RPM_BUILD_ROOT%{_datadir}/themes/Redmond95
rm -rf $RPM_BUILD_ROOT%{_libdir}/gtk/themes/engines/libredmond95.*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%doc COPYING README ChangeLog
%attr (755, root, root) %{_libdir}/gtk/themes/engines/*
%{_datadir}/themes/*

%changelog
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:0.12-7.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:0.12-7.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri May 20 2005 Matthias Clasen <mclasen@redhat.com> 1:0.12-7
- don't ship Redmond95

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> 1:0.12-6
- Replace Copyright: with License:
- rebuild with gcc4

* Fri Aug 27 2004 Matthias Clasen <mclasen@redhat.com> 1:0.12-5
- add some missing declarations (#114368)
- remove a editor backup file (#128122)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jul  8 2003 Owen Taylor <otaylor@redhat.com> 1:0.12-2.0
- Bump for rebuild

* Thu Jun 12 2003 Owen Taylor <otaylor@redhat.com> 1:0.12-1
- Upgrade thinice to 1.0.4, gtk-engines to 0.12

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Feb 01 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- remove two docu files that are also in gtk2-engines

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 1:0.11-14
- rebuild on all arches

* Fri Jul 19 2002 Alexander Larsson <alexl@redhat.com>
- Remove the .gtkrc files from /etc/skel and /root. They are moving to redhat-artwork.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 28 2002 Owen Taylor <otaylor@redhat.com>
- Use automake-1.4 in some extra places

* Mon Apr 15 2002 Alex Larsson <alexl@redhat.com>
- Added Adept-Raleigh theme

* Thu Apr 11 2002 Owen Taylor <otaylor@redhat.com>
- Fix major pixmap leak that occurred with certain theme/app 
  combinations (#59528)

* Wed Mar 13 2002 Owen Taylor <otaylor@redhat.com>
- Add gtk-hicontrast theme
- Un-automake-1.4

* Thu Jan 24 2002 Havoc Pennington <hp@redhat.com>
- remove acinclude.m4 to avoid funky libtool crackrock

* Tue Jan 22 2002 Havoc Pennington <hp@redhat.com>
- automake14

* Thu Aug  9 2001 Owen Taylor <otaylor@redhat.com>
- Install %{_sysconfdir}/skel/.gtkrc as /root/.gtkrc as well, or we 
  don't get Raleigh for our nice config tools

* Sat Jul 21 2001 Owen Taylor <otaylor@redhat.com>
- Add BuildPrereq on imlib-devel (#49478)

* Tue Jul 10 2001 Owen Taylor <otaylor@redhat.com>
- Version 0.11
- Install a %{_sysconfdir}/skel/.gtkrc

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Sat Feb 10 2001 Owen Taylor <otaylor@redhat.com>
- New, slightly improved version of Raleigh

* Sun Feb 04 2001 Owen Taylor <otaylor@redhat.com>
- Require as well as BuildPrereq a sufficiently new GTK+ package.

* Wed Jan 17 2001 Owen Taylor <otaylor@redhat.com>
- remove references to /home/raster from a couple of themes

* Tue Nov 21 2000 Owen Taylor <otaylor@redhat.com>
- Add 'Raleigh' theme

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Jul 13 2000 Owen Taylor <otaylor@redhat.com>
- Go back to real gtk-engines-0.10.tar.gz instead of hosed
  cvs snapshot that someone had inserted.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Dave Mason <dcm@redhat.com>
- Removed many themes to speed up control center and get rid of ugly themes

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- defattr files 644 and dirs 755, list attr of 755 for libraries explicitly
- use %%makeinstall
- remove spec file stupidism (defining docdir, using own prefix macro, rel, ver, etc)

* Tue May 16 2000 Dave Mason <dcm@redhat.com>
- fixed Tiger, RatsTheme, OldWood, and LCD themes as they had no gtk subdirectory

* Tue Feb 22 2000 Bill Nottingham <notting@redhat.com>
- sanitize various things (permissions, .xv thumbnails)

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- remove backup files from package

* Tue Jan 25 2000 Owen Taylor <otaylor@redhat.com>
- Update to 0.10 (fixing problem with text in eventboxes
  becoming garbled)

* Wed Sep 15 1999 Elliot Lee <sopwith@redhat.com>
- Misc fixes from DrMike suggestions

* Thu Sep 09 1999 Elliot Lee <sopwith@redhat.com>
- Update to 0.6, etc.

* Wed Apr 14 1999 Michael Fulbright <drmike@redhat.com>
- removed Odo (has issues)

* Fri Apr 9 1999 The Rasterman <raster@redhat.com>
- patched metal theme - fixed handlebox redraw.

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- removed some themes that were misbehaving

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- removed enlightened themes, seems to be defective

* Thu Mar 11 1999 Michael Fulbright <drmike@redhat.com>
- removed Default theme data, this comes with gtk+ package

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- added extra gtk themes

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 0.5

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.4

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3

* Mon Dec 18 1998 Michael Fulbright <drmike@redhat.com>
- version 0.2

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- rebuild because gtk+ version changed

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- in preparation for GNOME freeze

* Fri Nov 20 1998 Michael Fulbright <drmike@redhat.com>
- First try at a spec file
